%define oname pygtksourceview

%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:	Gtksourceview bindings for Python
Name:		python-gtksourceview
Version:	2.10.1
Release:	%mkrel 6
Source0:	http://download.gnome.org/sources/%oname/%{url_ver}/%{oname}-%{version}.tar.bz2
License:	LGPLv2+
Group:		Development/Python
Url:		http://www.gnome.org
BuildRequires:	gtksourceview2-devel >= 2.9.1
BuildRequires:	pygtk2.0-devel
BuildRequires:	libGConf2-devel
BuildRequires:	libxslt-proc docbook-style-xsl
BuildRequires:  python-devel

%description
These are the python bindings for the version 2 of the
GtkSourceView library.

%package devel
Group:		Development/Python
Summary:	Files required to build applications with %name
Requires:	%name = %version

%description devel
These are the python bindings for the version 2 of the
GtkSourceView library.


%prep
%setup -q -n %oname-%version

%build
%configure2_5x
%make PYTHON_LIBS="-lpython%{py_ver}"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%py_platsitedir/gtksourceview2.la

%files
%doc README NEWS AUTHORS
%py_platsitedir/gtksourceview2.so

%files devel
%doc ChangeLog
%_libdir/pkgconfig/*.pc
%_datadir/gtk-doc/html/pygtksourceview2/
%_datadir/pygtk/2.0/defs/gtksourceview2.defs




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.10.1-6.mga3
+ Revision: 378968
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 11 2012 ovitters <ovitters> 2.10.1-5.mga3
+ Revision: 329821
- clean spec

* Sun Jan 23 2011 ennael <ennael> 2.10.1-3.mga1
+ Revision: 34392
- imported package python-gtksourceview

